> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/fr/installation-setup/system-settings/google/captcha.md).

# Configuration Captcha

Pour configurer Google Captcha, vous devez d’abord enregistrer vos clés secrètes et de site reCAPTCHA.

Pour créer vos clés, rendez-vous dans la section d’administration de Google reCaptcha.\
<https://www.google.com/recaptcha/admin>

Cliquez en haut à droite sur le bouton de création.

![](https://186103257-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCAqpNa6dElZlfh2hHg%2Fimage.png?alt=media\&token=d66afc22-97b6-421c-8de8-2d02e73f2593)

Configurez maintenant les paramètres de votre captcha

![](https://186103257-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArEpVu5l9fPNWZ5wP%2Fimage.png?alt=media\&token=f7932622-4171-4310-ba79-a9be1662c5a9)

Copiez à la fois la site key et la secret key

![](https://186103257-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArRunNBvdToRAIQle%2Fimage.png?alt=media\&token=4396ceb1-d993-4978-a960-9bf87456413f)

Collez les clés dans vos paramètres Google API de ngSurvey et cliquez sur le **test** bouton pour vérifier que tout fonctionne correctement.

![](https://186103257-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArn8YeJxWw8vTzhaS%2Fimage.png?alt=media\&token=6eea4a96-704f-40f1-9f68-8869e25ff439)

{% hint style="info" %}
Le Captcha ne fonctionnera correctement que sur un serveur ayant accès à Internet. Si votre serveur est derrière un pare-feu, vous devrez vous assurer qu’il peut au moins contacter le service de vérification Google <https://www.google.com/recaptcha/api/siteverify> et définir les [règles de pare-feu appropriées](https://code.google.com/archive/p/recaptcha/wikis/FirewallsAndRecaptcha.wiki).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/fr/installation-setup/system-settings/google/captcha.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
